TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Matrix ( rng S, elt-alg^mat X ) -> elt-alg^mat

### Description

<shortdoc> Given a ring S together with a matrix X over a ring R, return the matrix over S obtained from X by coercing its entries from R into S. </shortdoc>

### Examples

x_M1:= Matrix(Z,2,2,[2,3,4,1]); Parent(x_M1); x_M2:=Matrix(Q,x_M1); Parent(x_M2);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack